import ui
import sqlite3
import qrcode
import json
import io
import photos
import console

db_name = 'my_product_data.db'

record = None

def search(sender):
  ids = sender.superview['id'].text
  id = int(ids)
  conn = sqlite3.connect(db_name)
  c = conn.cursor()
  sql = "select * from product where id = ?"
  c.execute(sql,(id,))
  rec = c.fetchone()
  if rec != None:
    sender.superview['info'].text = rec[1] + ' ' + \
      str(rec[2]) + '円\n(' + rec[3] + ')\n' + rec[4]
    global record
    record = rec
  else:
    console.alert('レコードがありません。','','OK', \
      hide_cancel_button=True)
  conn.close()

def qr(sender):
  jsondata = json.dumps(record)
  pimg = qrcode.make(jsondata)
  fname = str(record[0]) + ' ' + record[1] + '.png'
  with io.BytesIO() as b:
    pimg.save(b, 'PNG')
    bn = b.getvalue()
    img = ui.Image.from_data(bn)
    sender.superview['qr'].image = img
    with open(fname, 'wb') as f:
      f.write(bn)
    photos.create_image_asset(fname)
   
v = ui.load_view()
v.present('full_screen')
